> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finscreener.in/llms.txt
> Use this file to discover all available pages before exploring further.

# HSN Codes

> Lookup HSN goods codes

Search and lookup HSN (Harmonized System of Nomenclature) codes for goods classification.

## Headers

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer <access_token>`
</ParamField>

## Query Parameters

<ParamField query="code" type="string">
  Search by HSN code (exact or partial match)
</ParamField>

<ParamField query="search" type="string">
  Search by description keyword
</ParamField>

<ParamField query="limit" type="number" default="10">
  Maximum results to return (max: 50)
</ParamField>

<Note>
  You must provide either `code` or `search` parameter.
</Note>

<RequestExample>
  ```bash cURL theme={null}
  # Search by code
  curl -X GET "https://api.finscreener.in/api/reference/hsn?code=8517" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

  # Search by description
  curl -X GET "https://api.finscreener.in/api/reference/hsn?search=telephone&limit=10" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "data": [
      {
        "code": "8517",
        "description": "Telephone sets, including telephones for cellular networks or for other wireless networks",
        "chapter": 85,
        "section": "XVI"
      },
      {
        "code": "851712",
        "description": "Telephones for cellular networks or for other wireless networks",
        "chapter": 85,
        "section": "XVI"
      }
    ]
  }
  ```
</ResponseExample>
